%define libname		%mklibname %{name}
%define ffmpegversion	3.0.7

%define build_qt	1

Name:		avidemux
Version:	2.6.20
Release:	%mkrel 2
Summary:	A free video editor
License:	GPLv2+
Group:		Video/Editors and Converters
Url:		http://fixounet.free.fr/avidemux
Source0:	http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.gz
Source1:	http://ffmpeg.org/releases/ffmpeg-%{ffmpegversion}.tar.bz2

Patch0:		avidemux-2.6.19-ffmpeg-version.patch
Patch1:		avidemux-qt-2.6.12-desktop.patch
Patch2:		avidemux-plugins-2.6.4-linkage.patch
Patch3:		0001-Disable-faacDecInit-check.patch
# core
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	fakeroot
BuildRequires:	chrpath
%if %{build_qt}
# qt
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5
BuildRequires:	xsltproc
BuildRequires:	imagemagick
%endif
# plugins
%ifarch %{ix86} x86_64
BuildRequires:	aften-devel
%endif
BuildRequires:	a52dec-devel
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(libvpx)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	mp4v2-devel
%if "%distro_section" == "tainted"
BuildRequires:	pkgconfig(opencore-amrnb)
BuildRequires:	pkgconfig(opencore-amrwb)
BuildRequires:	pkgconfig(x264)
BuildRequires:	pkgconfig(x265)
BuildRequires:	pkgconfig(dcaenc)
BuildRequires:	pkgconfig(libdca)
BuildRequires:	libfaad2-devel
BuildRequires:	lame-devel
BuildRequires:	xvid-devel
%endif

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%package -n	%{libname}
Summary:	Shared libraries for %{name}

%description -n	%{libname}
Shared libraries for %{name}.

%package	devel
Summary:	Header files for %{name}
Requires:	%{libname} = %{version}
Requires:	pkgconfig(vdpau)
Obsoletes:	%{name}-qt-devel < %{version}-%{release}
Obsoletes:	%{name}-cli-devel < %{version}-%{release}

%description	devel
Header files for %{name}.

%package	cli
Summary:	Command line interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-cli-plugins

%description	cli
This package contains the command-line interface for %{name}.

%if %{build_qt}
%package	qt
Summary:	Qt5 graphical user interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-qt-plugins

%description	qt
This package contains the Qt5 graphical user interface for %{name}.
%endif

%package	plugins
Summary:	Plugins for %{name}

%description	plugins
This package contains the common plugins for %{name}.

%package	cli-plugins
Summary:	Plugins for %{name}-cli

%description	cli-plugins
This package contains the plugins for the %{name} command-line interface.

%if %{build_qt}
%package	qt-plugins
Summary:	Plugins for %{name}-qt

%description	qt-plugins
This package contains the plugins for the %{name} graphical user interface.
%endif


%prep
%setup -qn %{name}_%{version}
rm -f avidemux_core/ffmpeg_package/ffmpeg-*.tar.bz2
cp %{SOURCE1} avidemux_core/ffmpeg_package/
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
# seems to cause build failure
#setup_compile_flags
%if %{build_qt}
export QTDIR=%{_libdir}/qt5
%endif
bash bootStrap.bash \
     --with-core \
     --with-cli \
     --with-plugins \
     --with-system-libass \
     --with-system-liba52 \
     --with-system-libmad \
     --with-system-libmp4v2

%install
cp -a install/* %{buildroot}
%if %{build_qt}
mkdir -p %{buildroot}%{_datadir}/applications
install -D avidemux2.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop
mkdir -p %{buildroot}%{_iconsdir}
convert avidemux_icon.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}-qt.png
%endif
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 man/avidemux.1 %{buildroot}%{_mandir}/man1
chrpath --delete %{buildroot}%{_libdir}/*.so*
chrpath --delete %{buildroot}%{_libdir}/ADM_plugins6/*/*.so
chrpath --delete %{buildroot}%{_bindir}/*
rm -rf %{buildroot}%{_datadir}/ADM6_addons


%files -n %{libname}
%{_libdir}/libADM_audio*.so
%{_libdir}/libADM_core*.so
%{_libdir}/libADM6*.so.*

%files devel
%{_includedir}/%{name}

%files cli
%{_mandir}/man1/avidemux.1*
%{_bindir}/avidemux3_cli
%{_libdir}/libADM_UI_Cli6.so
%{_libdir}/libADM_render6_cli.so

%if %{build_qt}
%files qt
%{_bindir}/avidemux3_qt5
%{_bindir}/avidemux3_jobs_qt5
%{_libdir}/libADM_UIQT56.so
%{_libdir}/libADM_render6_QT5.so
%{_libdir}/libADM_openGLQT56.so
%{_datadir}/avidemux6
%{_iconsdir}/%{name}-qt.png
%{_datadir}/applications/%{name}-qt.desktop
%endif

%files plugins
%dir %{_libdir}/ADM_plugins6
%dir %{_libdir}/ADM_plugins6/*
%{_libdir}/ADM_plugins6/*/*
%exclude %{_libdir}/ADM_plugins6/videoFilters/cli/*.so
%exclude %{_libdir}/ADM_plugins6/videoFilters/qt5/*.so

%files cli-plugins
%{_libdir}/ADM_plugins6/videoFilters/cli/*.so

%if %{build_qt}
%files qt-plugins
%dir %{_datadir}/avidemux6/qt5/i18n
%{_datadir}/avidemux6/qt5/i18n/*.qm
%{_libdir}/ADM_plugins6/videoFilters/qt5/*.so
%endif


%changelog
* Tue May 02 2017 akien <akien> 2.6.20-2.mga6
+ Revision: 1098263
- Rebuild in core

* Sat Apr 29 2017 luigiwalser <luigiwalser> 2.6.20-1.mga6.tainted
+ Revision: 1098067
- 2.6.20

* Thu Mar 30 2017 luigiwalser <luigiwalser> 2.6.19-1.mga6.tainted
+ Revision: 1095291
- 2.6.19

* Tue Jan 10 2017 luigiwalser <luigiwalser> 2.6.18-2.mga6.tainted
+ Revision: 1080916
- rebuild for libass

* Fri Jan 06 2017 luigiwalser <luigiwalser> 2.6.18-1.mga6.tainted
+ Revision: 1080314
- 2.6.18

* Thu Jan 05 2017 luigiwalser <luigiwalser> 2.6.17-1.mga6.tainted
+ Revision: 1080229
- 2.6.17
- build with system libmp4v2

* Wed Jan 04 2017 wally <wally> 2.6.16-1.mga6.tainted
+ Revision: 1080050
- add patch to fix tainted build (disable faacDecInit check)

* Sat Dec 31 2016 luigiwalser <luigiwalser> 2.6.16-1.mga6
+ Revision: 1078909
- 2.6.16
- rediff patch 0
- build with system libass, a52dec, and libmad

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.6.15-3.1.mga6.tainted
+ Revision: 1070673
- rebuild for x265

* Sun Nov 20 2016 akien <akien> 2.6.15-3.mga6.tainted
+ Revision: 1068488
- Rebuild in tainted

* Sun Nov 20 2016 akien <akien> 2.6.15-2.mga6
+ Revision: 1068473
- Rebuild in core

* Sun Nov 20 2016 luigiwalser <luigiwalser> 2.6.15-1.mga6.tainted
+ Revision: 1068464
- 2.6.15

* Thu Oct 06 2016 daviddavid <daviddavid> 2.6.14-2.1.mga6.tainted
+ Revision: 1059206
- rebuild to Tainted

* Mon Oct 03 2016 luigiwalser <luigiwalser> 2.6.14-2.mga6
+ Revision: 1058225
- update bundled ffmpeg to 3.0.3

* Mon Sep 19 2016 akien <akien> 2.6.14-1.1.mga6
+ Revision: 1054504
- Submit to tainted

* Mon Sep 19 2016 luigiwalser <luigiwalser> 2.6.14-1.mga6
+ Revision: 1054322
- 2.6.14

* Mon Sep 12 2016 luigiwalser <luigiwalser> 2.6.13-4.mga6.tainted
+ Revision: 1051570
- rebuild for x265

* Sun Aug 21 2016 daviddavid <daviddavid> 2.6.13-3.mga6.tainted
+ Revision: 1047661
- submit to tainted

* Thu Aug 18 2016 akien <akien> 2.6.13-2.mga6
+ Revision: 1046942
- Bump rel for core build

* Thu Aug 18 2016 luigiwalser <luigiwalser> 2.6.13-1.mga6.tainted
+ Revision: 1046891
- 2.6.13
- ffmpeg 3.0.2
- restore wrongly removed ffmpeg patch
- remove upstreamed patch 3
- fix configure options and files list to fix qt5 build

* Mon Jun 20 2016 pterjan <pterjan> 2.6.12-3.mga6.tainted
+ Revision: 1036900
- Fix build on arm

* Wed Apr 06 2016 daviddavid <daviddavid> 2.6.12-2.mga6
+ Revision: 999033
- enable Qt5OpenGL support (Thanks to Charles A Edwards)

* Wed Apr 06 2016 shlomif <shlomif> 2.6.12-1.mga6.tainted
+ Revision: 998944
- New version 2.6.12

* Tue Apr 05 2016 daviddavid <daviddavid> 2.6.10-5.mga6
+ Revision: 998711
- enable x265 support

* Mon Apr 04 2016 neoclust <neoclust> 2.6.10-4.mga6
+ Revision: 998407
- Build with qt5 support

* Fri Mar 04 2016 blino <blino> 2.6.10-3.mga6
+ Revision: 985390
- buildrequire aften on x86 only (uses SIMD instructions)

* Mon Jan 18 2016 luigiwalser <luigiwalser> 2.6.10-2.mga6
+ Revision: 925643
- updated bundled ffmpeg to 2.6.7
- rebuild for x264

* Sat Nov 21 2015 shlomif <shlomif> 2.6.10-1.mga6.tainted
+ Revision: 904743
- New version 2.6.10

* Thu Nov 19 2015 tv <tv> 2.6.8-12.mga6
+ Revision: 904279
- rebuild for new libvpx

* Thu Nov 19 2015 daviddavid <daviddavid> 2.6.8-11.mga6
+ Revision: 904147
- rebuild for new libvpx 1.5.0

* Sat Jun 27 2015 cjw <cjw> 2.6.8-10.mga6.tainted
+ Revision: 846345
- rebuild for libvpx 1.4

* Sun May 17 2015 luigiwalser <luigiwalser> 2.6.8-9.mga5.tainted
+ Revision: 822203
- update bundled ffmpeg to 1.2.12 to fix:
  - CVE-2014-931[67], CVE-2014-960[34], CVE-2015-1872, CVE-2015-3417

* Fri Nov 14 2014 luigiwalser <luigiwalser> 2.6.8-8.mga5.tainted
+ Revision: 797255
- update bundled ffmpeg to 1.2.10 to fix CVE-2014-854[1-8]

* Wed Oct 15 2014 umeabot <umeabot> 2.6.8-7.mga5.tainted
+ Revision: 739118
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.6.8-6.mga5.tainted
+ Revision: 693471
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.6.8-5.mga5
+ Revision: 678074
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Sep 03 2014 luigiwalser <luigiwalser> 2.6.8-4.mga5.tainted
+ Revision: 671161
- update bundled ffmpeg to 1.2.8 to fix CVE-2014-527[12]
- add libsamplerate support (mga#14037)

* Thu Jul 17 2014 luigiwalser <luigiwalser> 2.6.8-3.mga5.tainted
+ Revision: 653480
- consolidate avidemux-{cli,qt,plugins} back into main package
  (with help from Charles A Edwards)

* Thu Jul 03 2014 luigiwalser <luigiwalser> 2.6.8-2.mga5
+ Revision: 642815
- update bundled ffmpeg to 1.2.7 to fix several security issues

* Sun Mar 16 2014 fwang <fwang> 2.6.8-1.mga5.tainted
+ Revision: 604191
- 2.6.8

* Mon Oct 21 2013 umeabot <umeabot> 2.6.6-2.mga4.tainted
+ Revision: 538170
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 2.6.6-1.mga4
+ Revision: 488921
- new version 2.6.6

* Fri Aug 30 2013 fwang <fwang> 2.6.5-1.mga4
+ Revision: 473195
- new version 2.6.5

* Sat Aug 24 2013 fwang <fwang> 2.6.4-3.mga4
+ Revision: 471422
- br sdl

* Sat Aug 24 2013 fwang <fwang> 2.6.4-2.mga4
+ Revision: 471367
- there is hardcode include in vdpau.h

* Sat Aug 24 2013 fwang <fwang> 2.6.4-1.mga4
+ Revision: 471339
- update file list
- update file list
- br yasm
- about to split into different srpm
- br vdpau
- br sqlite3
- about to import 2.6.4

* Sat Aug 24 2013 luigiwalser <luigiwalser> 2.5.6-8.mga4.tainted
+ Revision: 470984
- rebuild for x264

* Mon Jun 17 2013 luigiwalser <luigiwalser> 2.5.6-7.mga4.tainted
+ Revision: 443898
- rebuild for x264

* Mon Jan 14 2013 tmb <tmb> 2.5.6-6.mga3.tainted
+ Revision: 387936
- fix group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 15 2012 fwang <fwang> 2.5.6-4.mga3.tainted
+ Revision: 294219
- rebuild for new x264

* Sun Aug 05 2012 luigiwalser <luigiwalser> 2.5.6-3.mga3.tainted
+ Revision: 278543
- add patch from neoclust to fix cmake error
- add patches from ffmpeg git to fix CVE-2011-389[35] and CVE-2012-0947

* Tue Apr 03 2012 anssi <anssi> 2.5.6-2.mga2.tainted
+ Revision: 228236
- rebuild due to missing avidemux-qt in x86_64 tainted

* Fri Jan 13 2012 doktor5000 <doktor5000> 2.5.6-1.mga2.tainted
+ Revision: 195666
- don't use %%make, parallel make breaks build
- new version 2.5.6
- removed obsolete %%clean section and empty %%defattrs
- dropped new-x264.patch, already integrated upstream

* Tue Dec 13 2011 fwang <fwang> 2.5.5-2.mga2.tainted
+ Revision: 181276
- rebuild for new x264

  + ahmad <ahmad>
    - No need to specify the path to lrelease (that was a problem with my local chroot)

* Sat Jul 09 2011 ahmad <ahmad> 2.5.5-1.mga2.tainted
+ Revision: 121299
- Update to 2.5.5
- Specify the path to %%{qt4bin}/lrelease manually, otherwise the build fails
- Drop patch0,1, fixed upstream
- Rediff patch4 (x264)
- Extend the x264 patch to fix the build with x264 0.115 (Gentoo)
- Prepare the package for tainted build

* Wed Apr 27 2011 wally <wally> 2.5.4-5.mga1
+ Revision: 92131
- fix desktop file names (mga#954)
- drop buildroot definition

* Tue Feb 22 2011 ahmad <ahmad> 2.5.4-4.mga1
+ Revision: 55875
- drop esound-devel (phasing out esound from the distro)

  + anssi <anssi>
    - remove old macros
    - imported package avidemux

